/*ダークモード*/
@media (prefers-color-scheme: dark) {
    .disabled { cursor: not-allowed; }
    body { background-color: #111 !important; color: #fff; }

    /* a { color: #fff; } */
    a:hover { color: #eee; }

    .text-dark { color: #fff !important; }

    /* BUTTONS */

    .btn-link { color: #fff; }
    .btn-close { filter: invert(1) grayscale(100%) brightness(200%); }

    .btn-dark { color: #000; background-color: #f8f9fa; border-color: #f8f9fa; }
    .btn-dark:hover { color: #000; background-color: #f9fafb; border-color: #f9fafb; }
    .btn-check:focus + .btn-dark,
    .btn-dark:focus { color: #000; background-color: #f9fafb; border-color: #f9fafb; box-shadow: 0 0 0 0.25rem rgba(211, 212, 213, 0.5); }
    .btn-check:checked + .btn-dark,
    .btn-check:active + .btn-dark,
    .btn-dark:active,
    .btn-dark.active,
    .show > .btn-dark.dropdown-toggle { color: #000; background-color: #f9fafb; border-color: #f9fafb; }
    .btn-check:checked + .btn-dark:focus,
    .btn-check:active + .btn-dark:focus,
    .btn-dark:active:focus,
    .btn-dark.active:focus,
    .show > .btn-dark.dropdown-toggle:focus { box-shadow: 0 0 0 0.25rem rgba(211, 212, 213, 0.5); }
    .btn-dark:disabled,
    .btn-dark.disabled { color: #000; background-color: #f8f9fa; border-color: #f8f9fa; }

    .btn-light { color: #fff; background-color: #212529; border-color: #212529; }
    .btn-light:hover { color: #fff; background-color: #1c1f23; border-color: #1a1e21; }
    .btn-check:focus + .btn-light,
    .btn-light:focus { color: #fff; background-color: #1c1f23; border-color: #1a1e21; box-shadow: 0 0 0 0.25rem rgba(66, 70, 73, 0.5); }
    .btn-check:checked + .btn-light,
    .btn-check:active + .btn-light,
    .btn-light:active,
    .btn-light.active,
    .show > .btn-light.dropdown-toggle { color: #fff; background-color: #1a1e21; border-color: #191c1f; }
    .btn-check:checked + .btn-light:focus,
    .btn-check:active + .btn-light:focus,
    .btn-light:active:focus,
    .btn-light.active:focus,
    .show > .btn-light.dropdown-toggle:focus { box-shadow: 0 0 0 0.25rem rgba(66, 70, 73, 0.5); }
    .btn-light:disabled,
    .btn-light.disabled { color: #fff; background-color: #212529; border-color: #212529; }

    .btn-outline-dark { color: #f8f9fa; border-color: #f8f9fa; }
    .btn-outline-dark:hover { color: #000; background-color: #f8f9fa; border-color: #f8f9fa; }
    .btn-check:focus + .btn-outline-dark,
    .btn-outline-dark:focus { box-shadow: 0 0 0 0.25rem rgba(248, 249, 250, 0.5); }
    .btn-check:checked + .btn-outline-dark,
    .btn-check:active + .btn-outline-dark,
    .btn-outline-dark:active,
    .btn-outline-dark.active,
    .btn-outline-dark.dropdown-toggle.show { color: #000; background-color: #f8f9fa; border-color: #f8f9fa; }
    .btn-check:checked + .btn-outline-dark:focus,
    .btn-check:active + .btn-outline-dark:focus,
    .btn-outline-dark:active:focus,
    .btn-outline-dark.active:focus,
    .btn-outline-dark.dropdown-toggle.show:focus { box-shadow: 0 0 0 0.25rem rgba(248, 249, 250, 0.5); }
    .btn-outline-dark:disabled,
    .btn-outline-dark.disabled { color: #f8f9fa; background-color: transparent; }

    .btn-outline-light { color: #212529; border-color: #212529; }
    .btn-outline-light:hover { color: #fff; background-color: #212529; border-color: #212529; }
    .btn-check:focus + .btn-outline-light,
    .btn-outline-light:focus { box-shadow: 0 0 0 0.25rem rgba(33, 37, 41, 0.5); }
    .btn-check:checked + .btn-outline-light,
    .btn-check:active + .btn-outline-light,
    .btn-outline-light:active,
    .btn-outline-light.active,
    .btn-outline-light.dropdown-toggle.show { color: #fff; background-color: #212529; border-color: #212529; }
    .btn-check:checked + .btn-outline-light:focus,
    .btn-check:active + .btn-outline-light:focus,
    .btn-outline-light:active:focus,
    .btn-outline-light.active:focus,
    .btn-outline-light.dropdown-toggle.show:focus { box-shadow: 0 0 0 0.25rem rgba(33, 37, 41, 0.5); }
    .btn-outline-light:disabled,
    .btn-outline-light.disabled { color: #212529; background-color: transparent; }

    /* DROPDOWNS */

    .dropdown-menu { color: #dee2e6; background-color: #343a40; border-color: rgba(0, 0, 0, 0.15); }
    .dropdown-menu .dropdown-item { color: #dee2e6; }
    .dropdown-menu .dropdown-item:hover,
    .dropdown-menu .dropdown-item:focus { color: #fff; background-color: rgba(255, 255, 255, 0.15); }
    .dropdown-menu .dropdown-item.active,
    .dropdown-menu .dropdown-item:active { color: #fff; background-color: #0d6efd; }
    .dropdown-menu .dropdown-item.disabled,
    .dropdown-menu .dropdown-item:disabled { color: #adb5bd; }
    .dropdown-menu .dropdown-divider { border-color: rgba(0, 0, 0, 0.15); }
    .dropdown-menu .dropdown-item-text { color: #dee2e6; }
    .dropdown-menu .dropdown-header { color: #adb5bd; }

    /* LIST GROUPS */

    .list-group-item-action { color: #fff; }
    .list-group-item-action:hover,
    .list-group-item-action:focus { color: #fff; background-color: #333; }
    .list-group-item-action:active { color: #fff; background-color: #000; }
    .list-group-item { background-color: #111; border: 1px solid #333; }
    .list-group-item:not(:first-child) { border-top: none; }
    .list-group-item.disabled,
    .list-group-item:disabled { color: #fff; background-color: #000; }
    .list-group-item.active { color: #fff; background-color: #0d6efd; border-color: #0d6efd; }

    /* TABS */

    .nav-tabs { border-bottom: 1px solid #000; }
    .nav-tabs .nav-link:hover,
    nav-tabs .nav-link:focus { border-color: #212529 #212529 #000; }
    .nav-tabs .nav-link.disabled { color: #333; }
    .nav-tabs .nav-link.active,
    .nav-tabs .nav-item.show .nav-link { color: #fff; background-color: #000; border-color: #212529 #212529 #000; }

    /* PAGINATION */

    .page-link { color: #fff; background-color: #111; border: 1px solid #333; }
    .page-link:hover { color: #fff; background-color: #333; border-color: #333; }
    .page-link:focus { color: #fff; background-color: #000; }
    .page-item.active .page-link { color: #fff; background-color: #0d6efd; border-color: #0d6efd; }
    .page-item.disabled .page-link { color: #fff; background-color: #000; border-color: #333; }

    /* BACKGROUNDS */

    .bg-light { background-color: #212529 !important; }
    .bg-dark { background-color: #f8f9fa !important; }
    .bg-white { background-color: #000 !important; }

    .bg-white.text-white,
    .bg-dark.text-white,
    .bg-warning.text-dark,
    .bg-info.text-dark { color: #212529 !important; }

    /* BORDERS */

    .border,
    .border-top,
    .border-end,
    .border-bottom,
    .border-start { border-color: #212529 !important; }

    /* BREADCRUMB */

    .breadcrumb.border { border-color: #333 !important; }

    /* SHADOWS */

    .shadow { box-shadow: 0 0.5rem 1rem rgba(255, 255, 255, 0.15) !important; }
    .shadow-sm { box-shadow: 0 0.125rem 0.25rem rgba(255, 255, 255, 0.075) !important; }
    .shadow-lg { box-shadow: 0 1rem 3rem rgba(255, 255, 255, 0.175) !important; }

    /* CARDS */

    .card { background-color: #000; border: 1px solid rgba(255, 255, 255, 0.125); }

    /* MODALS */

    .modal-content { background-color: #000; border: 1px solid rgba(255, 255, 255, 0.2); }
    .modal-header { border-bottom: 1px solid #212529; }
    .modal-footer { border-top: 1px solid #212529; }

    .modal-backdrop.show { opacity: 0.75; }

    /* TOASTS */

    .toast { background-color: rgba(255, 255, 255, 0.85); border: 1px solid rgba(0, 0, 0, 0.1); box-shadow: 0 0.5rem 1rem rgba(255, 255, 255, 0.15); }
    .toast-header { color: #6c757d; background-color: rgba(255, 255, 255, 0.85); border-bottom: 1px solid rgba(0, 0, 0, 0.05); }
    .toast-header .btn-close { filter: invert(0) grayscale(0%) brightness(0%); }
    .toast-body { color: #000; }

    /* ACCORDIONS */

    .accordion:not(.accordion-flush) { border-top: 1px solid #333; border-top-left-radius: 0.25rem !important; border-top-right-radius: 0.25rem !important; }
    .accordion-button { color: #fff; background-color: #000; border: 1px solid #333; border-top: none; }
    .accordion-button:not(.collapsed) { color: #fff; background-color: #111; border-bottom: none; }
    .accordion-button::after { filter: invert(1) grayscale(100%) brightness(200%); }
    .accordion-collapse { border: 1px solid #333; }

    .accordion-flush .accordion-button { border-right: 0; border-left: 0; border-radius: 0; }
    .accordion-flush .accordion-collapse { border-width: 0; }
    .accordion-flush .accordion-item:first-of-type .accordion-button { border-top-width: 0; border-top-left-radius: 0; border-top-right-radius: 0; }
    .accordion-flush .accordion-item:last-of-type .accordion-button.collapsed { border-bottom-width: 0; border-bottom-right-radius: 0; border-bottom-left-radius: 0; }

    /* PROGRESS BARS */

    .progress { background-color: #333; }

    /* FORMS */

    .form-control::-webkit-input-placeholder,
    .form-control::-moz-placeholder,
    .form-control::placeholder { color: #ccc; }
    .form-control-plaintext { color: #ccc; }
    .form-control { color: #fff; background-color: #000; border: 1px solid #333; }
    .input-group-text {	color: #fff; background-color: #333; border: 1px solid #333; }
    .form-select { color: #fff; border-color: #333 !important; background: #000 url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='4' height='5' viewBox='0 0 4 5'%3e%3cpath fill='%23ffffff' d='M2 0L0 2h4zm0 5L0 3h4z'/%3e%3c/svg%3e") no-repeat right 0.75rem center/8px 10px; border: 1px solid #111; }
    .form-select option { color: #fff; }
    .form-select:disabled { color: #666; background-color: #333; }
    .form-select:-moz-focusring { text-shadow: 0 0 0 #495057; }

    .form-floating > .form-control::-webkit-input-placeholder,
    .form-floating > .form-control::-moz-placeholder,
    .form-floating > .form-control::placeholder { color: transparent; }

    .form-floating > .form-control:not(:-moz-placeholder-shown) ~ label,
    .form-floating > .form-control:focus ~ label,
    .form-floating > .form-control:not(:placeholder-shown) ~ label,
    .form-floating > .form-select ~ label,
    .form-floating > .form-control:-webkit-autofill ~ label { opacity: 0.65; }

    .form-control.is-invalid, .was-validated .form-control:invalid { border-color: #dc3545; }
    .form-control.is-valid, .was-validated .form-control:valid { border-color: #198754; }

    .form-range::-webkit-slider-runnable-track { background-color: #333; }
    .form-range::-moz-range-thumb { background-color: #0d6efd; }
    .form-range::-moz-range-thumb:active { background-color: #b6d4fe; }
    .form-range::-moz-range-track { background-color: #333; }

    .form-range:disabled::-webkit-slider-thumb { background-color: #666; }
    .form-range:disabled::-moz-range-thumb { background-color: #666; }

    /* CAROUSEL - CSS here if you want it... */
    /*
    .carousel .carousel-control-prev-icon,
    .carousel .carousel-control-next-icon { filter: invert(1) grayscale(100); }
    .carousel .carousel-indicators li { background-color: #000; }
    .carousel .carousel-caption { color: #000; }
    */

    /* TABLES */

    .table {
        --bs-table-bg: transparent;
        --bs-table-striped-color: #fff;
        --bs-table-striped-bg: rgba(255, 255, 255, 0.05);
        --bs-table-active-color: #fff;
        --bs-table-active-bg: rgba(255, 255, 255, 0.1);
        --bs-table-hover-color: #fff;
        --bs-table-hover-bg: rgba(255, 255, 255, 0.075);
        color: #fff;
        border-color: #333 !important;
    }

    .table-bordered{
        background-color: #000 !important;
    }

    .table a.daino {
        color: #fff;
    }

    h4.dai-list-title.pachi {
        background: #000 !important;
    }

    h4.dai-list-title.slot {
        background: #000 !important;
    }

    a.btn-date_next,
    a.btn-date_prev {
        color: #fff !important;
    }

    .table td div.square_red::before {
		content: "";
		border: solid 1px #fff;
	}

	.table td div.square_green::before {
		content: "";
		border: solid 1px #fff;
	}

	.table td div.square_yellow::before {
		content: "";
		border: solid 1px #fff;
	}

	.table td div.square_blue::before {
		content: "";
		border: solid 1px #fff;
	}

	.table td div.square_white::before {
		content: "";
		border: solid 1px #fff;
		background: #000;
	}

    /* TOOLTIPS */

    .bs-tooltip-top .tooltip-arrow::before,
    .bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow::before { border-top-color: #fff; }

    .bs-tooltip-end .tooltip-arrow::before,
    .bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow::before { border-right-color: #fff; }

    .bs-tooltip-bottom .tooltip-arrow::before,
    .bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow::before { border-bottom-color: #fff; }

    .bs-tooltip-start .tooltip-arrow::before,
    .bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow::before { border-left-color: #fff; }

    .tooltip-inner { color: #000; background-color: #fff; }

    .s-detail-nav, .navbar-dailist { background-color: #212529 !important; }
}